Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Enum Class BalanceType12Code

java.lang.Object
java.lang.Enum<BalanceType12Code>
org.kapott.hbci.sepa.jaxb.camt_052_001_06.BalanceType12Code

All Implemented Interfaces:
  `Serializable`, `Comparable<BalanceType12Code>`, `Constable`

public enum BalanceType12Code extends Enum<BalanceType12Code>

Java class for BalanceType12Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="BalanceType12Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="XPCD"/>
         <enumeration value="OPAV"/>
         <enumeration value="ITAV"/>
         <enumeration value="CLAV"/>
         <enumeration value="FWAV"/>
         <enumeration value="CLBD"/>
         <enumeration value="ITBD"/>
         <enumeration value="OPBD"/>
         <enumeration value="PRCD"/>
         <enumeration value="INFO"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLAV`
`CLBD`
`FWAV`
`INFO`
`ITAV`
`ITBD`
`OPAV`
`OPBD`
`PRCD`
`XPCD`

## Method Summary

Modifier and Type
Method
Description
`static BalanceType12Code`
`fromValue(String v)`
`String`
`value()`
`static BalanceType12Code`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BalanceType12Code[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### XPCD

public static final BalanceType12Code XPCD

### OPAV

public static final BalanceType12Code OPAV

### ITAV

public static final BalanceType12Code ITAV

### CLAV

public static final BalanceType12Code CLAV

### FWAV

public static final BalanceType12Code FWAV

### CLBD

public static final BalanceType12Code CLBD

### ITBD

public static final BalanceType12Code ITBD

### OPBD

public static final BalanceType12Code OPBD

### PRCD

public static final BalanceType12Code PRCD

### INFO

public static final BalanceType12Code INFO

## Method Details

### values

public static BalanceType12Code[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BalanceType12Code valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static BalanceType12Code fromValue(String v)